| 1.0.2 API documentation

Functions
GLM_GTX_vector_angle
Experimental extensions

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | angle (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
| Returns the absolute angle between two vectors. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL T | orientedAngle (vec< 2, T, Q > const &x, vec< 2, T, Q > const &y)
| Returns the oriented angle between two 2d vectors. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL T | orientedAngle (vec< 3, T, Q > const &x, vec< 3, T, Q > const &y, vec< 3, T, Q > const &ref)
| Returns the oriented angle between two 3d vectors based from a reference axis. More...

## Detailed Description

Include <glm/gtx/vector_angle.hpp> to use the features of this extension.

Compute angle between vectors

## Function Documentation

## ◆ angle()

GLM_FUNC_DECL T glm::angle | ( | vec< L, T, Q > const & | x,
|  | vec< L, T, Q > const & | y
| ) |  |

Returns the absolute angle between two vectors.

Parameters need to be normalized.

See also
  GLM_GTX_vector_angle extension.

## ◆ orientedAngle() [1/2]

GLM_FUNC_DECL T glm::orientedAngle | ( | vec< 2, T, Q > const & | x,
|  | vec< 2, T, Q > const & | y
| ) |  |

Returns the oriented angle between two 2d vectors.

Parameters need to be normalized.

See also
  GLM_GTX_vector_angle extension.

## ◆ orientedAngle() [2/2]

GLM_FUNC_DECL T glm::orientedAngle | ( | vec< 3, T, Q > const & | x,
|  | vec< 3, T, Q > const & | y,
|  | vec< 3, T, Q > const & | ref
| ) |  |

Returns the oriented angle between two 3d vectors based from a reference axis.

Parameters need to be normalized.

See also
  GLM_GTX_vector_angle extension.